@font-face {
    font-family: 'JetBrains Mono';
    src: url('../fonts/jetbrains-mono--bold.ttf');
    font-weight: bold;
}

* {
    --background-color: #021a1a;
    --background-color-secondary: #042222;
    --background-color-green: #03614b;
    --button-color-background: #085442;
    --button-color-background--hover: #06302c;
    --panel-color: #2d2e29;
    --accent-color: #2ebf94;
    --text-color: #eff5f5;
    --max-page-width: 1600px;
    --color-green-dark: rgba(3, 96, 74, 0.20);
    --color-green-light: rgba(3, 96, 74, 0.35);
    font-family: 'JetBrains Mono', monospace;
}

html {
    max-width: var(--max-page-width);
    margin: 0 auto;
    background-color: var(--background-color);
    color: white;

    overflow-x: hidden;
}

body {
    display: grid;
    grid-template-rows: auto 1fr auto;
    min-height: 100vh;
    margin: 0 auto;
    max-width: var(--max-page-width);
}

main {
    position: relative;
    padding: 10px 10%;
}

h1 {
    color: var(--accent-color);
    font-size: 3rem;
    margin: 0;
}

h2 {
    color: var(--accent-color);
    margin: 0;
}

h3 {
    color: var(--accent-color);
    margin: 0;
}

hr {
    border: none;
    height: 2px;
    width: 100%;
    background: var(--color-green-light);
}

a:any-link {
    color: var(--accent-color);
    text-decoration: underline;
}

a:any-link.no-style {
    text-decoration: none;
    color: inherit;
}

.nav-link > a:any-link {
    color: white;
    position: relative;
    text-decoration: none;
    display: inline-block;
    padding: 0.5rem 1rem;
    transition: all 0.2s;
}

nav a:any-link {
    color: var(--accent-color);
    text-decoration: none;
    margin: 0 15px 0 auto;
}

nav > a:hover {
    text-decoration: underline;
}

nav > ul {
    display: flex;
    list-style: none;
    margin: 0 10px;
    padding: 0;
    height: 100%;
    align-items: center;
}

nav > p {
    margin-right: 20px;
    background: var(--background-color-green);
    color: white;
    padding: 0 10px;
    height: 48px;
    align-content: center;
    border-radius: 10px 0 0 10px;
    transition: border-radius 0.5s;
}

.nav-link--active:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 10px;
    width: calc(100% - 20px);
    height: 3px;
    background: var(--background-color-green);
}

.nav-link > a:hover {
    background: var(--background-color-green);
    border-radius: 10px;
    color: white;
}

input, textarea {
    border: none;
    border-bottom: 1px solid var(--accent-color);
    padding: 5px 10px;
    font-size: 16px;
    background: var(--background-color-secondary);
    color: var(--text-color);
    resize: none;
}

input:focus, textarea:focus {
    outline: none;
}

button {
    color: var(--text-color);
}

/* CLASSES -------------------------------------------------------------------------------------- */

.femboy-color {
    color: #e2a5ea;
}

.pixel-art {
    image-rendering: pixelated;
}

.button {
    border: none;
    background: var(--button-color-background);
    padding: 5px 15px;
    border-radius: 5px;
    display: inline-block;
}

.button:any-link {
    color: white;
    text-decoration: none;
}

.button:hover {
    background: var(--button-color-background--hover);
    cursor: pointer;
}

/* LOADER --------------------------------------------------------------------------------------- */
.loader {
    width: 20px;
    aspect-ratio: 1;
    background: #25b09b;
    box-shadow: 0 0 60px 15px #25b09b;
    transform: translate(-25px);
    clip-path: inset(0);
    animation: l4-1 0.5s ease-in-out infinite alternate,
    l4-2 1s ease-in-out infinite;
}

@keyframes l4-1 {
    100% {
        transform: translateX(25px)
    }
}

@keyframes l4-2 {
    33% {
        clip-path: inset(0 0 0 -50px)
    }
    50% {
        clip-path: inset(0 0 0 0)
    }
    83% {
        clip-path: inset(0 -50px 0 0)
    }
}

/* BLAZOR INTEGRATION --------------------------------------------------------------------------- */

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}